%define libkolfprivate_private 5
%define libkolfprivate %mklibname kolfprivate %{libkolfprivate_private}

Name:           kolf
Version:        17.12.3
Release:        %mkrel 1
Summary:        A golf game
Group:          Graphical desktop/KDE5
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://www.kde.org/applications/games/kolf/
Source:         https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
#---------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kdegames-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5kdelibs4support-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
#---------------------------------------------

%description
Kolf is a miniature golf game.
The game is played from an overhead view, with a
short bar representing the golf club. Kolf features many different types of
objects, such as water hazards, slopes, sand traps, and black holes (warps),
among others.

Features :
- Single and Multi-player (up to ten players) modes
- High scores table
- Dynamic courses
- Third-party courses
- Course editor

%files -f %name.lang
%doc COPYING
%_kf5_bindir/%{name}
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_datadir/metainfo/org.kde.kolf.appdata.xml
%_kf5_datadir/kolf/
%_kf5_iconsdir/*/*/apps/%{name}.*
%_kf5_datadir/kxmlgui5/kolf/
%_kf5_libdir/libkolfprivate.so.%{libkolfprivate_private}*

#------------------------------------------------------------------------------

%package handbook
Summary:        kolf handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kolf

%description handbook
This package provides the kolf handbook.

%files handbook
%_kf5_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%{_kde_bindir}/ld.gold
%cmake_kf5
%make_build

%install
rm -rf %buildroot
%make_install -C build
%find_lang %{name} --all-name


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Mon Jan 01 2018 bb2 <bb2> 17.12.0-1pclos2018
- New version 17.12.0
